petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCholeskyFactorNumeric

Performs numeric Cholesky factorization of a symmetric matrix. Call this routine after first calling MatCholeskyFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCholeskyFactorNumeric(Mat fact,Mat mat,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor() Many br
| mat | - the initial matrix Many br
| info | - options for factorization Many br
| fact | - the symbolic factor of mat Many br

### Notes

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatCholeskyFactorSymbolic(), MatCholeskyFactor(), MatLUFactorNumeric()

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages